<?php
class ControllerModuleMercadolivreMercadolivre extends Controller { 

  public function descronizarOrder(){

    $json = array();

    if (isset($this->request->get['orderid'])) {
      $orderid = $this->request->get['orderid'];
    }else{
      $json['error'] = 'Pedido do mercado livre não encontrado';
    }

    if(!$json){
      try{
        $sql = "UPDATE " . DB_PREFIX . "order set meli_stopSync = ? WHERE order_id = ? ";
        $result = $this->db->executeSql($sql, [1, $orderid]);

        $this->session->data['success'] = 'Pedido desincronizado com sucesso.';
        $json['success'] = true;
      } catch (Exception $e) {
        $json['error'] = 'Não foi possível desincronizar o pedido! Verifique as configurações e tente novamente mais tarde.';
      }
    }

    $this->response->setOutputJson($json);
  }
  
  public function attribute(){

    if ($this->request->get['catId']) {

      $attributes= $this->mercadolivre->getAttributes($this->request->get['catId']);
      $result=array('html'=>'','row'=>'');
      if($attributes)$result=$this->mercadolivre->renderAttributes($attributes);

      $this->response->setOutput(json_encode(array('html'=>$result['html'],'row'=>$result['row'])));
    }
  }
  
  public function categoryDimensions(){

    if ($this->request->get['catId']) {
      $dimensions= $this->mercadolivre->getCategoryDimensions($this->request->get['catId']);
      $this->response->setOutput(json_encode($dimensions));
    }
  }
  
  public function category(){

    if ($this->request->get['catId']) {

      $categories= $this->mercadolivre->getCategory($this->request->get['catId']);
      echo json_encode($categories);
    }
  }
 



}
